## org.gnu.gtk
Class Paned

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Paned

Direct Known Subclasses:
  HPaned, VPaned

public class Paned
extends Container

Paned is the base class for widgets with two panes arranged either horizontally (HPaned) or vertically (VPaned). The division between the two children is set by default from the size request of the children but can be adjusted by the user.

See Also:
  `HPaned`, `VPaned`

Method Summary
`void` `add1(Widget child)` Add a child to the top or left pane with default parameters.
`void` `add2(Widget child)` Add a child to the bottom or right pane with default parameters.
`Widget` `getChild1()`
`Widget` `getChild2()`
`static Paned` `getPaned(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`int` `getPosition()` Get the position of the divider between the two panes.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `pack1(Widget child, boolean resize, boolean shrink)` Adds a child to the top or left pane.
`void` `pack2(Widget child, boolean resize, boolean shrink)` Adds a child to the bottom or right pane.
`void` `setPosition(int position)` Set the position of the divider between the two panes.

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPaned

    public static Paned getPaned(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### add1

    public void add1(Widget child)

  Add a child to the top or left pane with default parameters.

  Parameters:
    `child` - The child Widget to add.

### add2

    public void add2(Widget child)

  Add a child to the bottom or right pane with default parameters.

  Parameters:
    `child` - The child Widget to add.

### pack1

    public void pack1(Widget child,
                      boolean resize,
                      boolean shrink)

  Adds a child to the top or left pane.

  Parameters:
    `child` - The child Widget to add.
    `resize` - Should this child expand when the widget is resized.
    `shrink` - can this child be made smaller than its request.

### pack2

    public void pack2(Widget child,
                      boolean resize,
                      boolean shrink)

  Adds a child to the bottom or right pane.

  Parameters:
    `child` - The child Widget to add.
    `resize` - Should this child expand when the widget is resized.
    `shrink` - can this child be made smaller than its request.

### setPosition

    public void setPosition(int position)

  Set the position of the divider between the two panes.

  Parameters:
    `position` - The pixel position of the divider; a negative value means that the position is unset.

### getPosition

    public int getPosition()

  Get the position of the divider between the two panes.

  Returns:
    The position of the divider between the two panes.

### getChild1

    public Widget getChild1()

### getChild2

    public Widget getChild2()

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.